extends Node
@onready var game: Node2D = $".."

var bullet = preload("res://scenes/bullet.tscn")

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass

func bulletFactory():
	print("Factory will make a bullet")
	var myBullet = bullet.instantiate()
	myBullet.connect("hit", onBulletHit)
	
	return myBullet
func onBulletHit(body):
	print("Scene manager knows bullet hit")
	game.bulletHit(body)
